package com.ruoyi.nanjing.domain;

import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

public class ReportData extends BaseEntity {
    private static final long serialVersionUID = 1L;


    private String barcode;
    private String parameaning;
    private String value;
    private long id;
    private Date beginTime;
    private String endTime;
    private String stationName;
    private String state;

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getParameaning() {
        return parameaning;
    }

    public void setParameaning(String parameaning) {
        this.parameaning = parameaning;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return "ReportData{" +
                "barcode='" + barcode + '\'' +
                ", parameaning='" + parameaning + '\'' +
                ", value='" + value + '\'' +
                ", id=" + id +
                '}';
    }
}
